package com.izouma.dingdong.enums;

public enum RefundReason {
    PAYMENT_TIMEOUT("用户支付超时"),
    ORDER_TIMEOUT("商家接单超时"),
    MERCHANT_REJECTION("商家拒单"),
    USER_COMPLAINTS("用户投诉"),
    UNABLE_TO_DELIVER("当前订单无法配送"),
    DELIVERY_TIME_IS_TOO_LONG("配送时间太长"),
    ADDRESS_IS_INCORRECT("地址填写错误"),
    MERCHANT_CANNOT_DELIVER("商家无法送达，联系我取消"),
    MERCHANT_OUT_OF_STOCK("商家缺货/打烊，联系我取消"),
    FORGOT_TO_USE_THE_RED_ENVELOPE("忘记使用红包"),
    FORGET_ABOUT_STAPLE_FOOD("忘点主食"),
    RIDER_CONTACT_ME_TO_CANCEL("骑手联系我取消"),
    MORE_POINTS("点多了/点错了/漏点了"),
    DO_NOT_WANT_SOMETHING_TEMPORARILY("临时有事不想要了"),
    RIDER_CANNOT_REACH_USER("骑手联系不上用户"),
    OTHER("其他原因");
    private final String description;

    RefundReason(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}
